/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/


:root {
  /*** colors*/

  --black: #000000;
  --pink: #fa8695;
  --white: #ffffff;
  --orange: #FD3D0B;
  --lavender: #E6E6FA;
  --green-btn: #8aa678;
  --lemon-green: #7ab368;
  --light-pink: #ffbdc6;
  --light-brown: #6E7463;
  --beige: #ebb68a; 

  --bg-main: #ffffff;
  --bg-soft: #e4b5a7;     
  --bg-card: #fffaf5;     

  --text-main: #BB8E6D;
  --text-dark: #BB8E6D;
  --text-light: #BB8E6D;

  --accent: #8aa678;      
  --accent-dark: #6e8c5e;
  --border-soft: #eee3d6;

  /*** typography*/

  --ff-catamaran: 'Catamaran', sans-serif;
  --ff-rubik: 'Rubik', sans-serif;

  --fs-1: 3.8rem;
  --fs-2: 3rem;
  --fs-3: 2.5rem;
  --fs-4: 2rem;
  --fs-5: 1.8rem;
  --fs-6: 1.5rem;

  --fw-900: 900;
  --fw-800: 800;
  --fw-700: 700;
  --fw-500: 500;

  /*** spacing*/

  --section-padding: 50px;

  /*** shadow*/

  --shadow-1: 0 0 20px var(--accent-dark);
  --shadow-2: 0px 10px 24px var(--text-main);

  /**
   * border radius
   */

  --radius-10: 10px;
  --radius-8: 8px;
  --radius-5: 5px;

  /**
   * transition
   */

  --transition-1: 0.25s ease;
  --transition-2: 0.5s ease;
  --cubic-in: cubic-bezier(0.51, 0.03, 0.64, 0.28);
  --cubic-out: cubic-bezier(0.33, 0.85, 0.4, 0.96);
}

/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


li {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

a,
img,
span,
input,
button,
strong,
ion-icon {
  display: block;
}

img {
  height: auto;
}

input,
button {
  background: none;
  border: none;
  font: inherit;
}

input {
  width: 100%;
}

button {
  cursor: pointer;
}

ion-icon {
  pointer-events: none;
}

address {
  font-style: normal;
}

html {
  font-family: var(--ff-rubik);
  font-size: 10px;
  scroll-behavior: smooth;
  
}

body {
  background-color: var(--white);
  color: var(--white);
  font-size: 1.6rem;
  line-height: 1.6;
  border: 1px solid var(--green-btn);
}

:focus-visible {
  outline-offset: 4px;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  border: 1px solid var(--green-btn);
}

::-webkit-scrollbar-thumb {
  background-color: var(--green-btn);
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--pink);
}

/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

.container {
  padding-inline: 15px;
}

.container .margin {
  margin-bottom: 30px;
}

.container .center {
  display: flex;
  justify-content: center;
  align-items: center;
  
}

.section {
  padding-block: var(--section-padding);
}

.bg-dark {
  background-color: var(--light-brown);
  border-radius: var(--radius-5);
  padding: 15px;
  color: var(--white);
}

.bg-light {
  background-color: var(--pink);
  color: var(--white);
  border-radius: var(--radius-5);
  padding: 15px;
  z-index: 1;
}

.font-green {
  color: var(--lemon-green);
}

.bd-pink {
  border: 1px solid var(--pink);
  padding: 13px;
}

.has-bg-image {
  background-repeat: no-repeat;
  background-position: top left;
}

.has-before,
.has-after {
  position: relative;
  z-index: 1;
}

.has-before::before,
.has-after::after {
  content: '';
  position: absolute;
}

.h1,
.h2,
.h3 {
  font-family: var(--ff-catamaran);
  line-height: 1.25;
}

.h1 {
  font-size: var(--fs-2);
  font-weight: var(--fw-900);
  color: var(--pink);
}

.container .hero-content .title {
  font-size: var(--fs-1);
}

.container .h2 {
  color: var(--black);
  font-weight: var(--fw-800);
  margin-bottom: 4rem;
  margin-top: 6rem;
}


.about-content .hero-subtitle strong {
  font-size: var(--fs-3);
}

.h3 {
  color: var(--black);
  font-weight: var(--fw-800);
}

.h2 {
  font-size: var(--fs-2);
}

.h3 {
  font-size: var(--fs-4);
}

.section-text {
  font-size: var(--fs-3);
  color: var(--white)
}

.btn {
  max-width: max-content;
  font-size: var(--fs-6);
  text-transform: uppercase;
  font-weight: var(--fw-500);
  padding: 15px 35px;
  border-radius: var(--radius-8);
  transition: var(--transition-1);
  border-radius: 50px;
}

.btn-primary {
  background-color: var(--lemon-green);
  color: var(--white);
  margin: 1rem;
  font-weight: var(--fw-800);
  border-radius: 50px;
}

.btn-primary:is(:hover, :focus) {
  background-color: var(--accent-dark);
  color: var(--white);
  box-shadow: var(--shadow-1);
  
}

.btn-outline {
  background: transparent;
  border: 2px solid var(--accent);
  color: var(--accent);
  border-radius: 50px;
}

.btn-outline:is(:hover, :focus) {
  background-color: var(--accent-dark);
  color: var(--white);
  box-shadow: var(--shadow-1);
  font-weight: var(--fw-700);
}

.btn-soft {
  background: var(--bg-card);
  color: #4a3a2c;
  border: 2px solid var(--accent);
  border-radius: 50px;
}

.btn-soft:is(:hover, :focus) {
  background-color: var(--accent-dark);
  color: var(--white);
  box-shadow: var(--shadow-2);
  font-weight: var(--fw-700);
  
}

.w-100 {
  width: 100%;  
}

.mt {
  margin-top: 2rem;
}

.mb {
  margin-bottom: 2rem;
}

.round {
  border-radius: 20%;
}

.round-border {
  border-radius: 5%;
}

.circle,
.abs-img {
  position: absolute;
}

.circle {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -56%);
  width: 100%;
  z-index: -1;
  animation: rotate360 15s linear infinite;
}

@keyframes rotate360 {
  0% {
    transform: translate(-50%, -56%) rotate(0);
  }
  100% {
    transform: translate(-50%, -56%) rotate(1turn);
  }
}

.circle-2 {
  animation-direction: reverse;
}

.hero-subtitle,
.section-subtitle {
  font-family: var(--ff-catamaran);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  max-width: max-content;
}

.section-subtitle {
  color: var(--white);
  padding: 15px;
  border-radius: var(--radius-8);
}

.section-title {
  margin-block: 18px 35px;
}

.btn-link {
  color: var(--white);
  font-size: var(--fs-6);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  max-width: max-content;
  transition: var(--transition-1);
  border-radius: 50px;
}

.btn-link::before {
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--green-btn);
  transition: var(--transition-1);
}

.btn-link:is(:hover, :focus) {
  --color: var(--pink);
}

.text-center {
  text-align: center;
}

.img-holder {
  aspect-ratio: var(--width) / var(--height);
  background-color: var(--light-pink);
  overflow: hidden;
  
}

.img-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.has-scrollbar {
  display: flex;
  gap: 25px;
  overflow-x: auto;
  padding-block-end: 30px;
  scroll-snap-type: inline mandatory;
  scroll-behavior: smooth;
}

.scrollbar-item {
  min-width: 100%;
  scroll-snap-align: start;
}

.has-scrollbar::-webkit-scrollbar {
  height: 15px;
}

.has-scrollbar::-webkit-scrollbar-track,
.has-scrollbar::-webkit-scrollbar-thumb {
  border-radius: 50px;
}

.has-scrollbar::-webkit-scrollbar-thumb:hover {
  background-color: var(--light-pink);
}

.has-scrollbar::-webkit-scrollbar-button {
  width: calc(25% - 25px);
}

.text-w {
  color: var(--white)
}

/*-----------------------------------*\
  #HEADER
\*-----------------------------------*/

.header .btn {
  display: none;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding-block: 0;
  /* box-shadow: var(--shadow-1); */
  z-index: 4;
  border: none; 
}

.header > .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-family: var(--ff-catamaran);
  font-size: var(--fs-3);
  font-weight: var(--fw-900);
  display: flex;
  align-items: center;
  margin-inline-start: -8px;

  & img {
    margin-inline-end: 15px;
    margin-left: 2rem;
  }

  & ion-icon {
    margin: auto;
    font-size: 30px;
  }

  & span {
    color: var(--white);
    margin: 0 auto;
    text-align: center;
  }

  & span:hover {
    background-color: var(--green-btn);
    border-radius: var(--radius-8);
    transition: all 0.3ms linear;
    box-shadow: var(--shadow-2);
  } 
}

 .logo ion-icon {
  color: var(--white);
  font-size: 30px;
}



.nav-open-btn {
  background-color: var(--lemon-green);
  padding: 20px 15px;
  border-radius: var(--radius-8);
  
}

.nav-open-btn .line {
  background-color: var(--white);
  width: 30px;
  height: 3px;
}

.nav-open-btn .line:not(:last-child) {
  margin-block-end: 6px;
}

.nav-open-btn .line:nth-child(2) {
  width: 25px;
  margin-inline-start: auto;
}

.navbar {
  background-color: var(--light-brown);
  position: fixed;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-content: center;
  visibility: hidden;
  transition: 0.25s var(--cubic-in);
}

.navbar.active {
  visibility: visible;
  transform: translateY(-100%);
  transition: 0.5s var(--cubic-out);
  color: var(--pink);
}


.nav-close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  background-color: var(--lemon-green);
  color: var(--white);
  font-size: 40px;
  padding: 10px;
  border-radius: var(--radius-8);
}

.navbar .navbar-list .navbar-link span {
  text-align: center;
}

.navbar-list .navbar-link {
  font-family: var(--ff-catamaran);
  font-size: var(--fs-3);
  font-weight: var(--fw-900);
  text-align: center;
  transition: var(--transition-1);
  margin-right: 15px;
}

.navbar-list .navbar-link:last-child:hover {
  background-color: var(--lemon-green);
  color: var(--white);
  border-radius: var(--radius-8);
  transition: all 0.3ms linear;
  box-shadow: var(--shadow-2);
}

.navbar-list .navbar-link:last-child.active {
  color: var(--white);
  background-color: var(--lemon-green);
  border-radius: var(--radius-8);
}

.navbar-link:is(:hover, :focus, .active) {
  color: var(--light-pink);
  box-shadow: var(--shadow-1);
}

/*-----------------------------------*\
  #HERO
\*-----------------------------------*/

.hero {
  text-align: center;
  padding-block-start: calc(var(--section-padding) + 40px);
  padding-block-end: 0;
  overflow: hidden;
  margin-top: 0;
}

.hero::after {
  bottom: 0;
  left: 0;
  width: 100%;
  height: 240px;
  z-index: -1;
}

.hero-content {
  margin-block-end: 90px;
}

.hero-content h1 {
  color: var(--lemon-green);  
}

.hero-content h2 {
  color: var(--text-main);
  font-size: var(--fs-5);
}

.hero .hero-content .section-text {
  font-size: var(--fs-5);
}

.hero-content .contact-title {
  color: var(--pink);
  background-color: var(--black);
  font-size: var(--fs-3);
  font-weight: var(--fw-500);
  margin-block: 20px;
  display: inline-block;
  padding: 15px;
  border-radius: var(--radius-8);
}

.hero-subtitle {
  color: var(--lemon-green);
  margin-inline: auto;
  padding: 5px;
  padding-inline-end: 15px;
  border-radius: var(--radius-8);
  margin-bottom: 1rem;
  border: 1px solid var(--pink);
  text-align: justify;
  padding: 13px;
  font-weight: var(--fw-700);
}

.hero-subtitle .text-center {
  color: var(--green-btn);
}

.hero-subtitle .strong {
  display: inline-block;
  background-color: var(--width);
  color: var(--pink);
  padding: 2px 15px;
  margin-inline-end: 15px;
  border-radius: var(--radius-5);
  font-weight: var(--fw-700);
}

.hero-title {
  margin-block: 30px 8px;
}

.hero .section-text, .hero .section-title-about {
  margin-block-end: 40px;
  text-align: justify;  
}

.hero .section-text {
  color: #BB8E6D;
  font-size: var(--fs-6);
  font-weight: var(--fw-400);
}

.hero .section-text-about {
  color: var(--text-main);
  border: 1px solid var(--pink);
  padding: 15px;
  border-radius: var(--radius-10);
  font-size: var(--fs-4);
}

.hero .btn {
  margin-inline: auto;
  margin: 4rem;
  margin: 0 auto;
  margin-top: 4rem;
  margin-bottom: 4rem;
  border-radius: 50px;
}

.abs-img-1 {
  top: 20px;
  right: -50px;
  width: 190px;
  color: var(--pink);
}

.abs-img-2 {
  top: 180px;
  left: -100px;
  width: 280px;
  color: var(--pink);
}

.hero .abs-img {
  animation: move 3s linear infinite alternate;
}

@keyframes move {
  0% {
    transform: translate(0, 0);
  }
  50% {
    transform: translate(-5px, 10px);
  }
  100% {
    transform: translate(5px, 20px);
  }
}

.hero .abs-img-2 {
  animation-direction: alternate-reverse;
}

.hero-banner img {
  width: 100%;
  margin: 0 auto;
  border-radius: var(--radius-10);
}


/*-----------------------------------*\
  #ABOUT
\*-----------------------------------*/

.about {
  overflow: hidden; 
  background-color: var(--black);
}

.about-banner {
  margin-block-end: 50px;  
}

.about-banner::after {
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50%;
  border-radius: var(--radius-10);
  z-index: -2;
}

.about-banner .abs-img {
  bottom: 0;
  left: 0;
  z-index: -1;
  animation: moveUp 2.5s ease infinite;
}

.about-content {
  padding-inline: 15px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
   & h2 {
    color: var(--pink);
    border: 1px solid var(--pink);
    border-radius: var(--radius-10);
    padding: 15px;
   }
}

@keyframes moveUp {
  0%,
  30%,
  60%,
  100% {
    transform: translateY(0);
  }

  20% {
    transform: translateY(-30px);
  }

  40% {
    transform: translateY(-15px);
  }
}

.about .section-text:not(:last-of-type) {
  margin-block-end: 15px;
}

.about .wrapper {
  margin-block-start: 30px;
}

.about .btn-primary:is(:hover, :focus) {
  background-color: var(--black);
  color: var(--white);
  box-shadow: none;
}

.about-content p {
  color: var(--white);
  font-size: var(--fs-4);
  margin-block: 15px 0;
  font-weight: var(--fw-500);
  text-align: justify;
}

.about .container-img {
  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: center;
 margin: 2rem;
}


/*-----------------------------------*\
  #Treatments
\*-----------------------------------*/

.class {
  padding-block-start: calc(var(--section-padding));

  & .h2 {
    color: var(--text-main);
    font-size: var(--fs-3);
  }

  & p {
    font-size: var(--fs-5);
    font-weight: var(--fw-500);
  }

  & .readMore {
    color: var(--pink); 
  }

   & .card-price {
    color: var(--pink);
    font-size: var(--fs-6);
    font-weight: var(--fw-800);
    
  }

  & a:hover {
    color: var(--white);
    box-shadow: var(--shadow-2);
    display: inline-block;
  }
}

.class .section-text {
  text-align: justify;
}

.class .section-subtitle {
  margin-inline: auto;
  
}

.class .section-title {
  color: var(--green-btn);
  padding: 15px;
  font-size: var(--fs-3);
  border-radius: var(--radius-5);
}

.class .hero-subtitle {
  font-size: var(--fs-4);
  font-weight: var(--fw-500);
  border-radius: var(--radius-5);
}

.class .section-text {
  color: var(--pink);
  font-size: var(--fs-5);
  text-align: center;
}

.class .container .hero-subtitle p {
  color: var(--green-btn);
}

.class-card {
  border-radius: var(--radius-10);
  height: 100%;
  overflow: hidden;
  border: 1px solid var(--pink);
  & h3 {
    color: var(--pink);
  }
}

.class-card .card-banner img {
  transition: var(--transition-2);
}

.class-card:is(:hover, :focus-within) .card-banner img {
  transform: scale(1.1);
}

.class-card .card-content {
  padding: 24px;
}

.card-content h3 {
  color: var(--pink);
}

.card-content .card-title {
  color: var(--green-btn);
  font-size: var(--fs-3)
}

.card-content .card-semi-title{
  color: var(--white);
  font-size: var(--fs-5);
}

.card-content .card-progress .hero-content a {
  margin-top: 2rem;
}

.class-card .title-wrapper {
  display: flex;
  align-items: center;
}

.class-card .title-icon {
  padding-inline-end: 20px;
  margin-inline-end: 20px;
  min-width: max-content;
  border-inline-end: 1px solid var(--pink);
}

.class-card .card-title {
  transition: var(--transition-1);
}

.class-card .card-title:is(:hover, :focus) {
  color: var(--pink);
}

.class-card .card-text {
  color: var(--text-main);
  font-size: var(--fs-5);
  font-weight: var(--fw-400);
  margin-block: 16px 12px; 

  & strong {
    color: var(--pink);
  }
}

.card-progress .hero-content a {
  border-radius: 50px;
}

.swipe {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-block: 20px;
  & p {
    font-weight: var(--fw-800);
   
  }
}

 .swipe-icon {
  background-color: var(--lemon-green);
  border-radius: 50%;
  padding: 4px;
  width: 50px;
  height: 50px; 
}

.swipe .card-text {
  border-radius: 50px;
}

/*-----------------------------------*\
  #BLOCK
\*-----------------------------------*/
.blog .container h2 {
  color: var(--black);
  margin-bottom: 2.5rem;
  font-size: var(--fs-5);
}

.blog .container p {
  color: var(--text-main);
  margin-bottom: 2rem;
}

.blog .container .card-content .mt .section-subtitle {
  font-size: var(--fs-5);
  color: var(--text-main);
  margin: auto;
}

.blog .container .card-content .mt .section-subtitle span {
  color: var(--green-btn);
}

.blog .container .card-content .card-text {
  font-size: var(--fs-6);
}

.blog .container .section-title {
  font-size: var(--fs-3);
  color: var(--text-dark);
}

/*-----------------------------------*\
  #REVIEWS
\*-----------------------------------*/
#reviews {
  padding: 30px 0;
  background: linear-gradient(
    to top,
    #f5e6e8,
    #BB8E6D
  );
}

.reviews-container {
  max-width: 1200px;
  margin: auto;
  padding: 1rem;
  border-radius: 8px;
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  gap: 2rem;
}

.reviews-container h2 {
  font-size: 26px;
  color: var(--lemon-green);
  background-color: var(--bg-card);
  padding: 10px 20px;
  border-radius: 8px;
  letter-spacing: 0.5px;
}

.slider {
  overflow: hidden;
  max-width: 1000px;
  margin: auto;
  position: relative;
  touch-action: pan-y;
  text-align: center;
}

.slider-track {
  display: flex;
  transition: transform 0.4s ease;
}

.review {
  min-width: 100%;
  box-sizing: border-box;
  background: var(--bg-card);
  color: var(--text-main);
  padding: 24px;
  margin: 0;
  border-radius: 16px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.05);
  border: 1px solid var(--border-soft);
}

.review.active {
  opacity: 1;
  position: relative;
}

.review p {
  line-height: 1.7;
  font-size: 16px;
}

.review h4 {
  margin-top: 15px;
  font-weight: 600;
  color: #7ab368;
}

.review-translation {
  font-size: 16px;
  background-color: var(--text-dark);
  color: var(--white);
  font-style: italic;
  border-radius: 8px;
  margin: 15px;
  padding: 24px;
  line-height: 1.7;
}

.stars {
  color: gold;
  font-size: 20px;
  margin-bottom: 10px;
}

/* Dots Indicator (Pagination) */
.dots {
  display: flex;
  justify-content: center;
  margin-top: 15px;
  gap: 8px;
}

.dot {
  width: 8px;
  height: 8px;
  background: #ddd;
  border-radius: 50%;
  transition: all 0.3s ease;
}

.dot.active {
  width: 18px;
  border-radius: 10px;
  background: var(--accent);
}

.dot:hover {
  background: var(--green-btn);
  opacity: 0.7;
}
/* More buttons */
.review-actions {
  display: flex;
  justify-content: center;
  gap: 12px;
  flex-wrap: wrap;
  margin-top: 20px;
  margin-bottom: 0;
}

.review-actions a {
  border-radius: 50px;
}

.review-link {
  display: inline-block;
  margin-top: 10px;
  color: var(--lemon-green);
  font-size: 16px;
  text-decoration: none;
}

.review-link:hover {
  color: var(--text-main);
}

/* Start rating */

 .google-rating {
  background: #ffffff;
  color: #7ab368;
  border-radius: 50px;
  padding: 8px 16px;
  display: inline-flex;
  align-items: center;
  gap: 8px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.05);
}

.google-rating img {
  max-width: 50px;
}

.star-rating {
  position: relative;
  display: inline-block;
  font-size: 18px;
  line-height: 1;
}

.star-rating::before {
  content: "★★★★★";
  color: #ccc;
}

.star-fill {
  position: absolute;
  top: 0;
  left: 0;
  white-space: nowrap;
  overflow: hidden;
}

.star-fill::before {
  content: "★★★★★";
  color: gold;
}

/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/

.footer {
  font-size: var(--fs-6);
  font-weight: var(--fw-500);
  margin-top: 80px;
  color: var(--white);
  background-color: var(--light-brown);
}

.footer-top .container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 60px;
  margin-left: 1rem;
} 

.footer .logo ion-icon {
  color: var(--lemon-green);
}

.footer .logo img {
  width: 35px;
}

.footer-brand .logo span {
  color: var(--white);
  margin-left: 0;
  font-size: var(--fs-4);
  font-weight: var(--fw-800);
  margin-block-end: 28px;
} 

.footer-top .logo {
  align-items: flex-start;
}

.footer-top .wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 15px;
  margin-left: 0;
}

.footer-top .wrapper img {
  border-radius: 50%; 
}

.footer-brand-list li:not(:last-child) {
  margin-block-end: 15px;
}

.footer-brand-title,
.footer-list-title {
  color: var(--white);
  font-family: var(--ff-catamaran);
}

.footer-list-title {
  font-size: var(--fs-4);
  font-weight: var(--fw-800);
  margin-block-end: 28px;
}

.footer-list-title::before {
  bottom: 0;
  width: 70px;
  height: 1px;
  background-color: var(--lemon-green);
}

.footer-list > li:not(:first-child) {
  margin-block-start: 12px;
}

.footer-link {
  transition: var(--transition-1);
}

.footer-link:is(:hover, :focus) {
  color: var(--light-pink);
  box-shadow: var(--shadow-1);
  cursor: pointer;
}

.footer-list-item {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 20px;
}

.footer-list-item .icon {
  background-color: var(--lemon-green);
  color: var(--white);
  font-size: 20px;
  padding: 8px;
  border-radius: 50px;
}

.footer-list-item .icon:hover {
  background-color: var(--accent-dark);
  color: var(--white);
  box-shadow: var(--shadow-1);
  cursor: pointer;
}

.social-list {
  display: flex;
  gap: 15px;
  font-size: 20px;
}

.social-link {
  background-color: var(--lemon-green);
  color: var(--white);
  padding: 8px;
  border-radius: 50%;
  transition: var(--transition-1);
  font-size: 20px;
}

.social-link:is(:hover, :focus) {
  box-shadow: var(--shadow-1);
  color: var(--light-pink);
  cursor: pointer;
}


.footer-bottom {
  color: var(--white);
  text-align: center;
  padding-block: 15px;
}

.footer-bottom .copyright {
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-bottom .copyright span {
  margin-inline: 5px;
}

.nowrap {
  white-space: nowrap;
}

/*-----------------------------------*\
  #BACK TO TOP
\*-----------------------------------*/

.back-top-btn {
  position: fixed;
  bottom: 20px;
  right: 40px;
  background-color: var(--lemon-green);
  font-size: 1px;
  padding: 4px;
  border-radius: 50%;
  visibility: hidden;
  opacity: 0;
  transition: var(--transition-1);
  z-index: 4;

  & ion-icon {
    font-size: 25px;
    color: var(--white);
  }
}

.back-top-btn.active {
  visibility: visible;
  opacity: 1;
  transform: translateY(-10px);
}

.language-switcher {
    /* Style for the container */
    font-size: 0.9em;
    padding: 5px;
    display: flex; /* Or inline-flex, block, depending on your layout */
    align-items: center;
    gap: 5px; /* Spacing between elements */
    margin-left: auto; /* Push it to the right if in a header */
}

/* language-switcher */
.language-switcher .lang-link {
    color: #ffffff; /* Default link color */
    text-decoration: none;
    font-weight: bold;
    padding: 3px 5px;
    border-radius: 3px;
    transition: background-color 0.2s ease;
}

.language-switcher .lang-link:hover {
    background-color: #7A9649;
}

.language-switcher .lang-link.active {
    font-weight: bold;
    color: #ffffff ; 
    background-color: #7A9649;
    border-radius: 5px;
} 

.language-switcher .lang-separator {
    color: #ffffff;
}

.img iframe {
  width: 100%;
  max-width: 400px;
  height: auto;
  aspect-ratio: 1 / 1;
  border: none;
  border-radius: 1rem;
}

.hero .center-align {
  margin: auto;
}
/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 575px screen
 */
 @media (min-width: 320px) {
  .logo img {
    width: 50px;
  }
  
  .nav-open-btn {
    padding: 10px;
  }
  .nav-open-btn .line {
    width: 20px;
    height: 2px;
  }
  .navbar-link {
    margin-bottom: 3rem;
   }

   .navbar .language-switcher {
    margin: auto;
   }
    
  .h1 {
    font-size: var(--fs-2);
  }
  
  .hero {
    max-width: 90%;
    margin: auto;
  }

  .hero-content .hero-subtitle {
    margin: 2.5rem auto;
  }

  .hero-content .section-text {
    margin: 1rem;
  }

  .hero-content .pink {
    color: var(--pink);
  }
  .hero-banner img {
    width: 100%;
    margin: 0 auto;
  }
  .hero-banner .hero-subtitle {
    font-size: 1.8rem;
    text-align: left;
    margin-top: 2.5rem;
    max-width: 100%;
  }
  .hero-banner .contact-img {
    width: 100%;
    margin: 0 auto;
  }

  .hero-content .section-text {
    font-size: 2rem;
  }

  .hero-content .hero-subtitle {
    font-size: 1.8rem;
    text-align: left;
  }

  .hero img {
    width: 100%;
    margin: 0 auto;
    border-radius: 8px;
  }

  .hero iframe {
    width: 90%;
    margin: 0 auto;
  }
  .hero .section-text {
  text-align: center;  
  }

  .hero .section-text-about {
  text-align: justify;  
  }

  .about-content .hero-subtitle {
    font-size: 1.8rem;

  }

  .about .container-img {
    flex-direction: column;
    justify-content: center;
    align-items: center;

  }

  .about .coach-avatar {
    width: 60px;
  }

  .card-content .card-title {
  color: var(--green-btn);
  font-size: var(--fs-4)
  }


  .blog {
    & .card-content{
      margin-top: 2rem;
    }
  
    & h2 {
    font-size: var(--fs-3);
    }

    & .card-content h3 {
    text-align: left;

    }
    & .card-content .card-text {
    font-size: var(--fs-4);
    }
  }

  .container .section-title{
    font-size: var(--fs-4);
  }

  .container .hero-subtitle {
    font-size: var(--fs-6);
  }

  .blog .container .section-title  {
    font-size: var(--fs-4);
  }

  .video {
    padding: 10px;
    & h2 {
    font-size: var(--fs-3);
    }

    & .section-text {
    font-size: var(--fs-4);
    }
    
  }
  .video-player {
    width: 100%;
    height: 100%;
    margin: 0 auto;
  }

  .review {
  padding: 18px;
  font-size: 14px;
}

.reviews-container {
  max-width: 90%;
}

.reviews-container h2 {
  font-size: 22px;
}

.review h4 {
  margin-top: 0.5rem;
  font-size: 14px;
}

.stars {
  font-size: 16px;
}

.slider {
  max-width: 100%;
}

.google-rating {
  font-size: 14px;
  padding: 6px 12px;
}

.google-rating img {
  max-width: 40px;
}

.google-rating .star-rating {
  font-size: 16px;
}

.review-actions {
  flex-direction: column;
  align-items: center;
}

.review-actions .btn {
  width: 100%;
  max-width: 280px;
}

}
 
@media (min-width: 575px) {
  /*** CUSTOM PROPERTY */

  :root {
    /*** typography */

    --fs-1: 5.8rem;
    --fs-2: 4rem;
  }

  /*** REUSED STYLE */
   .navbar-link {
    margin-bottom: 3rem;
   }

  .container {
    max-width: 540px;
    width: 100%;
    margin-inline: auto;
  }

  .hero-subtitle,
  .section-subtitle {
    font-size: var(--fs-5);
  }

  /*** HEADER */

  .header .container {
    max-width: unset;
    padding-inline: 30px;
  }

  /*** HERO */

  .hero .img {
    width: 100%;
    margin: 0 auto;
  }

  .hero-content {
    padding-inline: 40px;
  }

  .hero .section-text {
  text-align: center;  
  }

  .hero .section-text-about {
  text-align: justify;  
  }

  .hero-subtitle .strong {
    padding-block: 6px;
  }

  .hero::after {
    height: 340px;
  }

  .hero-banner img {
    width: 100%;
    margin: 0 auto;
  }

  

  /*** ABOUT */

  .about .coach-avatar {
    width: 80px;
  }

  .about .wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 40px;
  }

  .about-coach {
    margin-block-end: 0;
  }


  .about .container-img {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  /*** VIDEO */

  .video-card .card-title {
    --fs-3: 3.5rem;
  }

  .review {
    padding: 20px;
    font-size: 15px;
  }

  .google-rating {
    flex-direction: row;
  }
}

/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {
  /*** CUSTOM PROPERTY */

  :root {
    /*** typography */

    --fs-2: 4.5rem;
  }

  /*** REUSED STYLE */
  
   .navbar-link {
    margin-bottom: 3rem;
   }

  .container {
    max-width: 720px;
  }

  .scrollbar-item {
    min-width: calc(50% - 12.5px);
  }

  /*** HERO */

  .hero img {
    width: 90%;
    margin: 0 auto;
  }
  
  .hero iframe {
    width: 90%;
  }

  .hero .section-text {
  text-align: center;  
  }

  .hero .section-text-about {
  text-align: justify;  
  }
  
  .hero .container {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: center;
}

.hero .container img {
  max-width: 100%;
  height: auto;
  flex: 1 1 300px;
}

.review {
    padding: 25px;
    font-size: 16px;
  }

  .review h2 {
    font-size: 16px;
  }

  .review-actions {
    flex-direction: row;
    justify-content: center;
  }

  .review-actions .btn {
    width: auto;
  }

  /* Footer */
  .footer {
    text-align: left;
  }

  .footer-top .wrapper,
  .footer-list-item,
  .social-list {
    justify-content: flex-start;
  }

  .footer-top .container {
    grid-template-columns: repeat(2, 1fr);
  }
}

/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {
  /*** REUSED STYLE */

  .container,
  .header .container {
    max-width: 1000px;
  }

  /*** HEADER */

  .nav-open-btn,
  .nav-close-btn {
    display: none;
  }

  .header .btn {
    display: block;
  }

  .header {
    background-color: transparent;
    box-shadow: none;
    padding-block: 30px;
    transition: var(--transition-1);
  }

  .header.active {
    transform: translateY(-100%);
    background-color: var(--white);
    padding-block: 20px;
    box-shadow: var(--shadow-1);
    animation: slideIn 0.5s ease forwards;
  }

  @keyframes slideIn {
    0% {
      transform: translateY(-100%);
    }
    100% {
      transform: translateY(0);
    }
  }

  .header .container {
    gap: 30px;
  }

  .header .logo {
    color: var(--white);
  }

  .header.active .logo {
    color: var(--black);
  }

  .logo ion-icon {
    margin-right: 1rem;
  }

  .navbar,
  .navbar.active {
    all: unset;
    margin-inline-start: auto;
  }

  .navbar-list {
    display: flex;
    gap: 10px;

  }

  .navbar-list .navbar-link {
    color: var(--white);
    font-size: 2rem;
    padding: 0 10px;
    margin-block-end: 0;
  }

  .header.active .navbar-link {
    color: var(--rich-black-fogra-29-1);
  }

  .header .navbar-link:is(:hover, :focus, .active) {
    color: var(--coquelicot);
  }

  .header.active .btn {
    background-color: var(--coquelicot);
    color: var(--white);
  }

  .header.active .btn:is(:hover, :focus) {
    background-color: var(--rich-black-fogra-29-1);
  }

  /*** HERO */

  .hero {
    background-size: contain;
    text-align: left;
  }

  .hero::before {
    content: '';
    position: absolute;
    top: -1000px;
    left: -500px;
    width: 1500px;
    height: 1500px;
    background-image: radial-gradient(
      circle,
      var(--coquelicot_20) 20%,
      transparent 70% 100%
    );
    z-index: -1;
  }

  .hero .hero-banner img {
    width: 100%;
  }

  .hero .img {
    width: 100%;
    margin: 0 auto;
  }

  iframe {
    width: 100%;
  }

  .hero .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 25px;
  }

  .hero-content {
    padding-inline: 0;
    margin-block-end: 0;
  }
   
  .hero .section-text, .hero .section-text-about {
  text-align: justify;  
  }

  .hero-subtitle,
  .hero .btn {
    margin-inline: 0;
  }

  .hero::after {
    width: 330px;
    height: 100%;
    left: auto;
    right: 0;
  }

  .hero-content .hero-subtitle {
    margin: 10px;
    margin-top: 3rem;
  }

  /*** ABOUT */

  .about .container-img {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
    gap: 2rem;
  }

  .about .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 50px;
  }

  .about-banner {
    margin-block-end: 0;
  }

  .about .wrapper {
    gap: 30px;
  }


  /*** FOOTER */

  .footer-top .container {
    grid-template-columns: 0.85fr 0.5fr 1fr 0.85fr;
    column-gap: 50px;
  }

  .slider {
    max-width: 800px;
  }

  .google-rating {
    font-size: 16px;
  }
}

/**
 * responsive for larger than 1200px screen
 */

@media (min-width: 1024px) {
  .footer-top .container {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (min-width: 1200px) {
  /*** CUSTOM PROPERTY */

  :root {
    /*** typography */

    --fs-1: 7rem;
    --fs-2: 5.5rem;
    --fs-4: 2.2rem;
    --fs-5: 2rem;

    /*** spacing */

    --section-padding: 120px;
  }

  /*** REUSED STYLE */

  .container,
  .header .container {
    max-width: 1440px;
  }

  .navbar-list .navbar-link {
    font-size: 2.5rem;
  }

  .btn {
    padding: 18px 45px;
    border-radius: var(--radius-10);
  }

  .section-subtitle {
    --fs-5: 2.2rem;
  }

  .has-scrollbar {
    gap: 30px;
  }

  .scrollbar-item {
    min-width: calc(33.33% - 20px);
  }

  /*** HEADER */

  .logo span {
    font-size: var(--fs-3);
    margin-inline-start: 5px;
  }

  .logo ion-icon {
    margin-right: 1rem;
  }
  
  .header .container {
    padding-inline: 50px;
    padding: 20px 50px;
  }

  /*** HERO */

  .hero::after {
    width: 420px;
  }

  .hero .hero-banner {
    width: 100%;
  }

  .hero .section-text {
    --fs-6: 1.8rem;
  }

  .abs-img-1 {
    top: 130px;
    right: -30px;
    width: 260px;
  }

  .abs-img-2 {
    bottom: 20px;
    left: -80px;
    width: 360px;
  }

  /*** ABOUT */

  .about .wrapper {
    gap: 40px;
  }

  /*** CLASS, BLOG */

  :is(.class-card, .blog-card) .card-content {
    padding: 30px;
  }

  .blog-card .card-meta {
    padding: 15px 30px;
  }

  /*** FOOTER */

  .footer-top .container {
    grid-template-columns: 1fr 0.6fr 0.9fr 1fr;
  }

  .slider {
    max-width: 900px;
  }
}
